/*
	This is an information-alert class. It displays a text-string message
	and quits when one presses the button.
*/


package util;

import java.awt.*;
import java.awt.event.*;


public final class InfoAlert extends Dialog {
		
	// Needs a parent frame
	// Also give the title, the overall size, and the info string
	public InfoAlert(Frame Parent, String Title, int Width, int Height, String Info) {
		super(Parent,Title,true);
		setSize(Width,Height);
		setResizable(false);
		
		GridBagLayout L = new GridBagLayout();
		setLayout(L);
		GridBagConstraints C = new GridBagConstraints();
		
		Label T = new Label(Info);
		
		C.gridy = 0;
		add(T,C);
		
		// Button to press for quitting this dialog box
		Button CloseButton = new Button("OK");
		CloseButton.addActionListener(new ActionListener()
			{public void actionPerformed(ActionEvent E) {dispose();}}
		);
		
		C.gridy = 1;
		C.anchor = GridBagConstraints.SOUTHEAST;
		add(CloseButton,C);
		
		validate();
		setVisible(true);
		
		setSize(getPreferredSize());
		validate();
	}
}