/*

	These objects contain all the TR4 text-set data
	
*/


package tr4_textedit;

import java.awt.*;
import java.io.*;

import util.*;


final class TextSet {
	
	// What file?
	String FileName;
	
	// Fixed in TR4
	static final int NumTextBlocks = 3;
	
	TextStringBlock[] TextBlockSet;
	
	TextSet() {
		TextBlockSet = new TextStringBlock[NumTextBlocks];
		for (int i=0; i<NumTextBlocks; i++)
			TextBlockSet[i] = new TextStringBlock();
		
		TextBlockSet[0].TypeName = "String Set 1";
		TextBlockSet[1].TypeName = "String Set 2";
		TextBlockSet[2].TypeName = "String Set 3";
	}
}
