// This is for creating captioned numerical fields
// This initial version only does integers, however

package util;

import java.awt.*;
import java.awt.event.*;


public class CaptionedNumberField extends Panel {

	private int Value;
	private TextField TF;
	
	public void SetValue(int NewValue) {
		Value = NewValue;
		TF.setText((new Integer(NewValue)).toString());
	}
	
	public int GetValue() {
		return Value;
	}

	public CaptionedNumberField(int Width, String Caption, int InitValue) {
		GridBagLayout L = new GridBagLayout();
		setLayout(L);
		GridBagConstraints C = new GridBagConstraints();
		
		// Standard location: left of display area
		C.anchor = GridBagConstraints.WEST;
		
		TF = new TextField("TF",Width);
			TF.addTextListener(new TextListener()
			{public void textValueChanged(TextEvent E) {
				try {
					Value = (new Integer(TF.getText())).intValue();
				} catch(Exception X) {
					SetValue(Value);
				}
			}}
		);
		SetValue(InitValue);
		C.gridx = 0;
		add(TF,C);
		
		// Separation between text field and caption
		C.insets = new Insets(0,4,0,0);
		
		C.gridx = 1;
		add(new Label(Caption),C);
	}
}
